commit: f0fbeee77f5629ed6ddbd02be24d79d409fee70a
parent 1dcf44de72db6bf877126271281b68e1710b8d11
Author: Haelwenn (lanodan) Monnier <contact@hacktivis.me>
Date: Fri, 24 May 2024 02:35:25 +0200
build-extras.sh: new script
Diffstat:
3 files changed, 24 insertions(+), 0 deletions(-)
diff --git a/README.md b/README.md
@@ -148,6 +148,8 @@ Meanwhile:
- git: For oasis
- e2fsprogs: In case you need to format some extra storage
+You can automatically build all of the above with `/build-extras.sh` but be warned that those aren't as curated and due to lack of deblob, they might contain binaries and some use autotools which harms reviewability.
+
## Launching in QEMU
* You need a Linux kernel, so far no known version limitations
* Combination of `panic=1` and `-no-reboot` allows to exit+relaunch
diff --git a/build-extras.sh b/build-extras.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -ex
+
+/bootstrap-lua.sh
+
+/bootstrap-make.sh
+
+/bootstrap-bash.sh # make
+/bootstrap-bearssl.sh # make
+/bootstrap-e2fsprogs.sh # make
+/bootstrap-gettext-tiny.sh # make
+/bootstrap-pkgconf.sh # make
+/bootstrap-skalibs.sh # make
+/bootstrap-tiny-curl.sh # make
+/bootstrap-xz.sh # make
+
+/bootstrap-mdevd.sh # make skalibs
+
+/bootstrap-iproute2.sh # make pkgconf
+
+/bootstrap-git.sh # make tiny-curl gettext-tiny
diff --git a/make-root.sh b/make-root.sh
@@ -55,6 +55,7 @@ local_files="
bootstrap-gettext-tiny.sh
bootstrap-git.sh
bootstrap-e2fsprogs.sh
+ build-extras.sh
"
WORKDIR="$(dirname "$0")"
WORKDIR="$(realpath "$WORKDIR")"